"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormProcessStatusType = void 0;
const enumsClass_1 = require("../enumsClass");
const FormProcessStatusEnums = {
    New: {
        value: 100,
        th: "ใหม่",
        en: "ใหม่",
    },
    ProvisionNewInform: {
        value: 2100,
        th: "แจ้งออกข้อสอบใหม่ / สุ่ม / คัดเลือก",
        en: "แจ้งออกข้อสอบใหม่ / สุ่ม / คัดเลือก",
    },
    ProvisionNewDone: {
        value: 2200,
        th: "ออกข้อสอบใหม่ / สุ่ม / คัดเลือก แล้วเสร็จ",
        en: "ออกข้อสอบใหม่ / สุ่ม / คัดเลือก แล้วเสร็จ",
    },
    ProvisionEditorInform: {
        value: 2250,
        th: "แจ้งผู้พิมพ์บันทึก/แก้ไขข้อสอบ",
        en: "แจ้งผู้พิมพ์บันทึก/แก้ไขข้อสอบ",
    },
    ProvisionDone: {
        value: 2900,
        th: "จัดทำแบบทดสอบแล้วเสร็จ",
        en: "จัดทำแบบทดสอบแล้วเสร็จ",
    },
    QualityCheckSent: {
        value: 3100,
        th: "ส่งตรวจสอบคุณภาพข้อสอบ",
        en: "ส่งตรวจสอบคุณภาพข้อสอบ",
    },
    QualityCheckDone: {
        value: 3900,
        th: "ตรวจสอบคุณภาพข้อสอบแล้วเสร็จ",
        en: "ตรวจสอบคุณภาพข้อสอบแล้วเสร็จ",
    },
    Draft1Done: {
        value: 4100,
        th: "ตรวจร่าง 1 แล้วเสร็จ",
        en: "ตรวจร่าง 1 แล้วเสร็จ",
    },
    Draft1EditorSent: {
        value: 4150,
        th: "ผู้ตรวจร่าง 1 ส่งผู้พิมพ์บันทึก/แก้ไขข้อสอบ",
        en: "ผู้ตรวจร่าง 1 ส่งผู้พิมพ์บันทึก/แก้ไขข้อสอบ",
    },
    Draft2Done: {
        value: 4200,
        th: "ตรวจร่าง 2 แล้วเสร็จ",
        en: "ตรวจร่าง 2 แล้วเสร็จ",
    },
    Draft2EditorSent: {
        value: 4250,
        th: "ผู้ตรวจร่าง 2 ส่งผู้พิมพ์บันทึก/แก้ไขข้อสอบ",
        en: "ผู้ตรวจร่าง 2 ส่งผู้พิมพ์บันทึก/แก้ไขข้อสอบ",
    },
    Draft3Done: {
        value: 4300,
        th: "ตรวจร่าง 3 แล้วเสร็จ",
        en: "ตรวจร่าง 3 แล้วเสร็จ",
    },
    Draft3EditorSent: {
        value: 4350,
        th: "ผู้ตรวจร่าง 3 ส่งผู้พิมพ์บันทึก/แก้ไขข้อสอบ",
        en: "ผู้ตรวจร่าง 3 ส่งผู้พิมพ์บันทึก/แก้ไขข้อสอบ",
    },
    Draft4Done: {
        value: 4400,
        th: "ตรวจร่าง 4 แล้วเสร็จ",
        en: "ตรวจร่าง 4 แล้วเสร็จ",
    },
    Draft4EditorSent: {
        value: 4450,
        th: "ผู้ตรวจร่าง 4 ส่งผู้พิมพ์บันทึก/แก้ไขข้อสอบ",
        en: "ผู้ตรวจร่าง 4 ส่งผู้พิมพ์บันทึก/แก้ไขข้อสอบ",
    },
    DraftDone: {
        value: 4900,
        th: "ตรวจร่างแบบทดสอบแล้วเสร็จ",
        en: "ตรวจร่างแบบทดสอบแล้วเสร็จ",
    },
    QualityImproveSent: {
        value: 5100,
        th: "ส่งปรับปรุงคุณภาพข้อสอบ",
        en: "ส่งปรับปรุงคุณภาพข้อสอบ",
    },
    QualityImproveEditorSent: {
        value: 5150,
        th: "ส่งผู้พิมพ์บันทึก/แก้ไขข้อสอบ",
        en: "ส่งผู้พิมพ์บันทึก/แก้ไขข้อสอบ",
    },
    QualityImproveDone: {
        value: 5900,
        th: "ปรับปรุงคุณภาพข้อสอบแล้วเสร็จ",
        en: "ปรับปรุงคุณภาพข้อสอบแล้วเสร็จ",
    },
    EvaluateSent: {
        value: 6100,
        th: "ส่งประเมินคุณภาพข้อสอบ",
        en: "ส่งประเมินคุณภาพข้อสอบ",
    },
    EvaluateDone: {
        value: 6900,
        th: "ประเมินคุณภาพข้อสอบแล้วเสร็จ",
        en: "ประเมินคุณภาพข้อสอบแล้วเสร็จ",
    },
    Completed: {
        value: 9000,
        th: "ดำเนินการแล้วเสร็จ",
        en: "ดำเนินการแล้วเสร็จ",
    },
};
exports.FormProcessStatusType = new enumsClass_1.Enums(FormProcessStatusEnums);
//# sourceMappingURL=FormProcessStatusEnums.js.map