export type GenericBaseObject<T> = {
    value: T;
    en: string;
    th: string;
};
type EnumsBaseRecord = Record<string, GenericBaseObject<number>> | Record<string, GenericBaseObject<string>>;
type ValueOfEnums<T extends EnumsBaseRecord> = T[keyof T]["value"];
type EnumsObject<T extends EnumsBaseRecord> = T[keyof T]["value"] extends string ? GenericBaseObject<string> : GenericBaseObject<number>;
export declare class Enums<T extends EnumsBaseRecord> {
    private readonly enumsObj;
    private readonly enumDefaultValue;
    readonly enums: Record<keyof T, T[keyof T]["value"]>;
    constructor(enumsObj: T, defaultValue?: EnumsObject<T>);
    get entries(): ({
        key: keyof T;
    } & EnumsObject<T>)[];
    getEnumValue(val: ValueOfEnums<T> | keyof T, defaultValue?: EnumsObject<T>): EnumsObject<T>;
    getEnumValue(val: Omit<number, ValueOfEnums<T>> | Omit<string, keyof T>, defaultValue?: EnumsObject<T>): EnumsObject<T>;
    swaggerPropertyOptions(description?: string): {
        type: NumberConstructor;
        enum: T[keyof T]["value"][];
        description: string;
    };
}
export {};
